Skip to main content
GET
/
v1
/
payment_sessions
/
{id}
Retrieve a payment session
curl --request GET \
  --url https://api.yorlet.com/v1/payment_sessions/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "payment_session",
  "amount": 123,
  "currency": "<string>",
  "customer": "<string>",
  "description": "<string>",
  "mode": "payment",
  "payment_method_types": [
    "<string>"
  ],
  "reporting_type": "<string>",
  "return_url": "<string>",
  "status": "paid",
  "transaction": "<string>",
  "url": "<string>",
  "account": "<string>",
  "deleted": false,
  "merchant": {
    "business_name": "<string>",
    "color": "<string>",
    "country": "<string>",
    "display_name": "<string>",
    "icon": "<string>",
    "id": "<string>",
    "support_email": "<string>",
    "support_phone": "<string>",
    "support_website": "<string>"
  },
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns a payment session object if a valid identifier was provided.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
payment_session
amount
number
required
currency
string
required
customer
required
description
string | null
required
mode
enum<string>
required
Available options:
payment
payment_method_types
string[]
required
reporting_type
string | null
required
return_url
string | null
required
status
enum<string>
required
Available options:
paid,
unpaid,
canceled
transaction
required
url
string | null
required
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

merchant
object
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.